---
apiVersion: argoproj.io/v1alpha1
kind: AppProject
metadata:
  name: storage
  namespace: argocd
spec:
  description: Storage infrastructure and CSI drivers
  sourceRepos:
    - https://git.unkin.net/unkin/argocd-apps
    - https://ceph.github.io/csi-charts
  destinations:
    - namespace: 'csi-*'
      server: https://kubernetes.default.svc
  clusterResourceWhitelist:
    - group: ''
      kind: Namespace
    - group: 'rbac.authorization.k8s.io'
      kind: ClusterRole
    - group: 'rbac.authorization.k8s.io'
      kind: ClusterRoleBinding
    - group: 'apiextensions.k8s.io'
      kind: CustomResourceDefinition
    - group: 'storage.k8s.io'
      kind: StorageClass
    - group: 'storage.k8s.io'
      kind: CSIDriver
    - group: 'scheduling.k8s.io'
      kind: PriorityClass
  namespaceResourceWhitelist:
    - group: '*'
      kind: '*'
